Bug 20826 - inn should NOT install cron files owned by user "news"!
inn should NOT install cron files owned by user "news"!
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: inn (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-14 06:43 EST by Chris Evans
Modified: 2007-04-18 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-03 11:12:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Evans 2000-11-14 06:43:38 EST
Hi,

If you look in /etc/cron.* (hourly, monthly, etc)., there are some files owned by
user news.

I could be wrong, but doesn't this make user news equivalent to user root?

These cron files should be owner by user root, group root.

Note that there have been plenty of user news compromises in the past!
Comment 1 Henri Schlereth 2000-12-03 11:12:01 EST
Additionally, on an upgrade the news.crit, news.err, news.notice retain root ownership settings and inn(news) cannot access them.
6.2 -->7.0
Comment 2 Florian La Roche 2001-01-22 08:07:44 EST
Should all be resolved with next rpm in rawhide. Thanks a lot
for this report.
Comment 3 Daniel Roesen 2001-01-22 08:28:23 EST
Isn't that issue a candidate for a security errata update?

Note You need to log in before you can comment on or make changes to this bug.